# SimpleAggregateCache Class Reference
[Application-wide cache subsystem]

A wrapper like AggregateCache, but it has very simple (and fast) selective algorithm. More...

Inheritance diagram for SimpleAggregateCache:
[legend]

List of all members.

## Public Member Functions

| addPeer ($label, CachePeer $peer, $level=self::LEVEL_NORMAL)
| dropPeer ($label)
| checkAlive ()

## Static Public Member Functions

static | create ()

## Protected Member Functions

| guessLabel ($key)
| brainless ;)

## Private Member Functions

| dropHelpers ()

## Private Attributes

| $peerAmount = null
| $labels = null

## Detailed Description

A wrapper like AggregateCache, but it has very simple (and fast) selective algorithm.

Definition at line 18 of file SimpleAggregateCache.class.php.

## Member Function Documentation

SimpleAggregateCache::addPeer | ( | $ | label,
|  | CachePeer $ | peer,
|  | $ | level = `self::LEVEL_NORMAL` |
| ) |  |  |

Returns:
  AggregateCache

Reimplemented from AggregateCache.

Definition at line 31 of file SimpleAggregateCache.class.php.

References dropHelpers().

Here is the call graph for this function:

SimpleAggregateCache::checkAlive | ( |  | ) |

Reimplemented from AggregateCache.

Definition at line 47 of file SimpleAggregateCache.class.php.

References dropHelpers().

Here is the call graph for this function:

static SimpleAggregateCache::create | ( |  | ) | `[static]`

Returns:
  SimpleAggregateCache

Reimplemented from AggregateCache.

Definition at line 26 of file SimpleAggregateCache.class.php.

SimpleAggregateCache::dropHelpers | ( |  | ) | `[private]`

Definition at line 71 of file SimpleAggregateCache.class.php.

Referenced by addPeer(), checkAlive(), and dropPeer().

SimpleAggregateCache::dropPeer | ( | $ | label | ) |

Returns:
  AggregateCache

Reimplemented from AggregateCache.

Definition at line 40 of file SimpleAggregateCache.class.php.

References dropHelpers().

Here is the call graph for this function:

SimpleAggregateCache::guessLabel | ( | $ | key | ) | `[protected]`

brainless ;)

Reimplemented from AggregateCache.

Definition at line 57 of file SimpleAggregateCache.class.php.

References Assert::isGreaterOrEqual().

Here is the call graph for this function:

## Member Data Documentation

SimpleAggregateCache::$labels = null`[private]`

Definition at line 21 of file SimpleAggregateCache.class.php.

SimpleAggregateCache::$peerAmount = null`[private]`

Definition at line 20 of file SimpleAggregateCache.class.php.

The documentation for this class was generated from the following file:

- core/Cache/SimpleAggregateCache.class.php